org.richfaces.fragment.calendar

## Class HeaderControls

- java.lang.Object
- - org.richfaces.fragment.calendar.HeaderControls

- Direct Known Subclasses:
    PopupCalendar.PopupHeaderControls

      public class HeaderControls
      extends Object

  Component for header controls of calendar.
  Author:
    Jiri Stefek

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderControls()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.joda.time.format.DateTimeFormatter` | `getFormatter()`
    `org.openqa.selenium.WebElement` | `getNextMonthElement()`
    `org.openqa.selenium.WebElement` | `getNextYearElement()`
    `org.openqa.selenium.WebElement` | `getPreviousMonthElement()`
    `org.openqa.selenium.WebElement` | `getPreviousYearElement()`
    `org.openqa.selenium.WebElement` | `getRoot()`
    `long` | `getTimeoutForPopupToBeNotVisible()`
    `org.joda.time.DateTime` | `getYearAndMonth()`
    `YearAndMonthEditor` | `getYearAndMonthEditor()`
    `org.openqa.selenium.WebElement` | `getYearAndMonthEditorOpenerElement()`
    `boolean` | `isVisible()`
    `void` | `nextMonth()`
    `void` | `nextYear()`
    `YearAndMonthEditor` | `openYearAndMonthEditor()`
    `void` | `previousMonth()`
    `void` | `previousYear()`
    `void` | `setCalendarEditor(RichFacesAdvancedInlineCalendar.CalendarEditor calendarEditor)`
    `void` | `setTimeoutForPopupToBeNotVisible(long timeoutInMilliseconds)`
    `WaitingWrapper` | `waitUntilIsNotVisible()`
    `WaitingWrapper` | `waitUntilIsVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderControls

          public HeaderControls()

  - ### Method Detail

    - #### getNextMonthElement

          public org.openqa.selenium.WebElement getNextMonthElement()

    - #### getNextYearElement

          public org.openqa.selenium.WebElement getNextYearElement()

    - #### getPreviousMonthElement

          public org.openqa.selenium.WebElement getPreviousMonthElement()

    - #### getPreviousYearElement

          public org.openqa.selenium.WebElement getPreviousYearElement()

    - #### getYearAndMonth

          public org.joda.time.DateTime getYearAndMonth()

    - #### getYearAndMonthEditor

          public YearAndMonthEditor getYearAndMonthEditor()

    - #### getYearAndMonthEditorOpenerElement

          public org.openqa.selenium.WebElement getYearAndMonthEditorOpenerElement()

    - #### isVisible

          public boolean isVisible()

    - #### nextMonth

          public void nextMonth()

    - #### nextYear

          public void nextYear()

    - #### openYearAndMonthEditor

          public YearAndMonthEditor openYearAndMonthEditor()

    - #### previousYear

          public void previousYear()

    - #### previousMonth

          public void previousMonth()

    - #### setCalendarEditor

          public void setCalendarEditor(RichFacesAdvancedInlineCalendar.CalendarEditor calendarEditor)

    - #### setTimeoutForPopupToBeNotVisible

          public void setTimeoutForPopupToBeNotVisible(long timeoutInMilliseconds)

    - #### getTimeoutForPopupToBeNotVisible

          public long getTimeoutForPopupToBeNotVisible()

    - #### waitUntilIsNotVisible

          public WaitingWrapper waitUntilIsNotVisible()

    - #### waitUntilIsVisible

          public WaitingWrapper waitUntilIsVisible()

    - #### getRoot

          public org.openqa.selenium.WebElement getRoot()

    - #### getFormatter

          protected org.joda.time.format.DateTimeFormatter getFormatter()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.